# Add custom profile fields

By default, user profiles show their name, email, date they joined, and when
they were last active. You can also add custom profile fields like country
of residence, birthday, manager, Twitter handle, and more.

Custom profile fields are always optional, and do not appear in users'
profiles until they fill them out.

## Add a custom profile field

{settings_tab|profile-field-settings}

1. Under **Add a new profile field**, enter a **Label**, **Hint**, and **Type**.

1. Click **Add profile field**.

1. Click and drag the vertical dots on the left to order the fields.

## Profile field types

There are several different types of fields available.

* **Short text**: For one line responses, like "Twitter handle" or
    "Job title". Responses are limited to 50 characters.
* **Long text**: For multiline responses, like "Biography".
* **Date picker**: For dates, like "Birthday".
* **Link**: For links to websites, like "LinkedIn profile".
* **List of options**: Creates a dropdown with a list of options.
* **Person picker**: For selecting other users, like "Manager" or
    "Direct reports".

## Related articles

* [Edit your profile](/help/edit-your-profile)
* [View someone's profile](/help/view-someones-profile)
